package svc

import (
	"applet/app/db"
	"applet/app/db/model"
)

func DeleteUserIdentityForCentralKitchenForStudent(userIdentityId int) (err error) {
	//1、删除 class_with_user
	_, err = db.Db.In("user_identity_id", userIdentityId).Delete(model.ClassWithUser{})
	if err != nil {
		return
	}

	//2、删除 user_identity
	_, err = db.Db.Where("id =?", userIdentityId).Delete(model.UserIdentity{})
	if err != nil {
		return
	}
	return nil
}

func DeleteUserIdentityForCentralKitchenForTeacher(userIdentityId int) (err error) {
	//删除 user_identity
	_, err = db.Db.Where("id =?", userIdentityId).Delete(model.UserIdentity{})
	if err != nil {
		return
	}
	return nil
}

func DeleteUserIdentityForSelfSupportForStudent(userIdentityId int) (err error) {
	//1、删除 class_with_user
	_, err = db.Db.In("user_identity_id", userIdentityId).Delete(model.ClassWithUser{})
	if err != nil {
		return
	}

	//2、删除 user_identity
	_, err = db.Db.Where("id =?", userIdentityId).Delete(model.UserIdentity{})
	if err != nil {
		return
	}
	return nil
}

func DeleteUserIdentityForSelfSupportForTeacher(userIdentityId int) (err error) {
	//删除 user_identity
	_, err = db.Db.Where("id =?", userIdentityId).Delete(model.UserIdentity{})
	if err != nil {
		return
	}
	return nil
}

func DeleteUserIdentityForSelfSupportForWorker(userIdentityId int) (err error) {
	//删除 user_identity
	_, err = db.Db.Where("id =?", userIdentityId).Delete(model.UserIdentity{})
	if err != nil {
		return
	}
	return nil
}
